
server.port=8081
spring.main.lazy-initialization=true
# database configuration
spring.datasource.name=VinoveInsuranceCompany
spring.datasource.url=jdbc:mysql://localhost:3306/vinove
spring.datasource.username=root
spring.datasource.password=password
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQL8Dialect
spring.jpa.hibernate.ddl-auto=update


# for upload multipart data
spring.servlet.multipart.enabled=true
#Turn Statistics on and log SQL stmts

spring.jpa.show-sql=true
spring.jpa.properties.hibernate.format_sql=true
spring.jackson.serialization.fail-on-empty-beans=false

#google oauth2 config
spring.security.oauth2.client.registration.google.client-id= 930662552377-3n4ou6pn7nabjfam97nij4pc2tssdiif.apps.googleusercontent.com
spring.security.oauth2.client.registration.google.client-secret= 2Ax_xf32mATQtIflICcuMgdi